Bienvenue, Invité. Merci de vous connecter ou de vous enregister.

Auteur Sujet: OGSpy 3.2.0 Beta  (Lu 10997 fois)

DarkNoon

  • Administrator
  • Complètement accro !
  • *****
  • Messages: 2606
  • Country: fr
  • Karma: +14/-2
  • Retraité Actif
    • Hébergement de serveurs OGSpy
Re : OGSpy 3.2.0 Beta
« Réponse #75 le: 14 mai 2015, 12:58:58 »
Pour Gestion des attaques cette version peut être testée:

https://bitbucket.org/darknoon29/mod-attaques/get/tip.zip
Héberger votre OGSpy : Hébergement
Réseaux Sociaux OGSteam :Facebook

Anubys

  • Ami Staffien
  • Confirmé
  • *
  • Messages: 167
  • Karma: +0/-0
Re : OGSpy 3.2.0 Beta
« Réponse #76 le: 23 mai 2015, 22:40:01 »
J'arrive pas à faire les mises à jour de mods depuis la version 3.2.0 installée depuis autoupdate.

Erreur php :

[PHP-ERROR] 2 - mysql_real_escape_string(): Access denied for user 'www-data'@'localhost' (using password: NO) ; Fichier: /home/anubys/www/ogspy/mod/autoupdate/mod_upgrade.php ; Ligne: 24
[PHP-ERROR] 2 - mysql_real_escape_string(): A link to the server could not be established ; Fichier: /home/anubys/www/ogspy/mod/autoupdate/mod_upgrade.php ; Ligne: 24
[PHP-ERROR] 2 - mysql_real_escape_string(): Access denied for user 'www-data'@'localhost' (using password: NO) ; Fichier: /home/anubys/www/ogspy/mod/autoupdate/mod_upgrade.php ; Ligne: 29
[PHP-ERROR] 2 - mysql_real_escape_string(): A link to the server could not be established ; Fichier: /home/anubys/www/ogspy/mod/autoupdate/mod_upgrade.php ; Ligne: 29
[PHP-ERROR] 2 - copy(https://bitbucket.org//mod-/get/.zip): failed to open stream: HTTP request failed! HTTP/1.1 404 NOT FOUND ; Fichier: /home/anubys/www/ogspy/mod/autoupdate/mod_upgrade.php ; Ligne: 51

pitch314

  • Dev OGSteam
  • Complètement accro !
  • ***
  • Messages: 461
  • Karma: +6/-0
Re : OGSpy 3.2.0 Beta
« Réponse #77 le: 24 mai 2015, 12:11:48 »
ah tiens cette erreur n'a pas été corrigé ?

Il faut que tu modifies les lignes 24 et 29 du fichier autoupdate/mod_upgrade.php. Il faut remplacer la fonction PHP par la fonction de la classe BDD :

-    $modroot = mysql_real_escape_string($pub_mod);
+    $modroot = $db->sql_escape_string($pub_mod);

-        $version = mysql_real_escape_string($pub_tag);
+        $version = $db->sql_escape_string($pub_tag);

Mais ça ne devrait pas arriver car ça été corrigé à la version 2.1.3 du mod autoupdate. (Il faut mettre à jour d'abord autoupdate.)
mods  : "Production", "Build.Tech HOF"(bthof) et "Temps de vol"
OGSpy v3
OGSpy v5 (gestion BDD et sécurité)

Anubys

  • Ami Staffien
  • Confirmé
  • *
  • Messages: 167
  • Karma: +0/-0
Re : OGSpy 3.2.0 Beta
« Réponse #78 le: 24 mai 2015, 13:00:06 »
Ouais j'ai fait l'inverse pitch314 :) J'ai lu qu'après qu'il fallait faire dans un ordre.

Du coup j'ai tout posté dans la partie normal de la version 3.2.0.

Vu qu'en plus on a plus d'accès FTP sur les site de darknoon, c'est lui qui doit intervenir au retour de ses vacs :P

Par contre, il m'a dit que le mods gestion des attaques est très buggé sur la 3.2.0. Faudrait voir ça car beaucoup de joueur utilisent ce mods avec OGS.

J4ai fait un gros recap de toute façon sur le sujet en haut avec toutes les erreurs ;)